# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var1:
  description: the first variable
  choices:
    - a
    - b
    - c
var2:
  description: the second variable
  choices:
    - a
    - b
    - c
var3:
  description: the third variable
  choices:
    - a
    - b
    - c
  mandatory: false
var4:
  description: the forth variable
  choices:
    - 
    - b
    - c
  mandatory: false
var5:
  description: the fifth variable
  choices:
    - a
    - b
    - c
  default: a
var6:
  description: the sixth variable
  choices:
    - 1
    - 2
    - 3
  default: 1
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛



                                                                       
 [1m [0m[1mVariable                        [0m[1m [0m [1m [0m[1mDescription                     [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.var1[0m                                                         
  [1;36;40mchoice[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m             The first variable.               
  [1mChoices[0m:                                                             
                                                                       

[1;33m • [0ma                                                                                                                                                                                                                                          
[1;33m • [0mb                                                                                                                                                                                                                                          
[1;33m • [0mc                                                                                                                                             | | [1mrougail.var2[0m [1;36;40mchoice[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m                                                      
[1;33m   [0m| The second variable. [1mChoices[0m:                                                                                                                                                                                                            
[1;33m • [0ma                                                                                                                                                                                                                                          
[1;33m • [0mb                                                                                                                                                                                                                                          
[1;33m • [0mc                                                                                                                                             | | [1mrougail.var3[0m [1;36;40mchoice[0m [1;36;40mstandard[0m                                                             
[1;33m   [0m| The third variable. [1mChoices[0m:                                                                                                                                                                                                             
[1;33m • [0ma                                                                                                                                                                                                                                          
[1;33m • [0mb                                                                                                                                                                                                                                          
[1;33m • [0mc                                                                                                                                                                                                                                          
[1;33m • [0mnull                                                                                                                                             | | [1mrougail.var4[0m [1;36;40mchoice[0m [1;36;40mstandard[0m                                                          
[1;33m   [0m| The forth variable. [1mChoices[0m:                                                                                                                                                                                                             
[1;33m • [0mnull                                                                                                                                                                                                                                       
[1;33m • [0mb                                                                                                                                                                                                                                          
[1;33m • [0mc                                                                                                                                             | | [1mrougail.var5[0m [1;36;40mchoice[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                                                   
[1;33m   [0m| The fifth variable. [1mChoices[0m:                                                                                                                                                                                                             
[1;33m • [0ma ← (default)                                                                                                                                                                                                                              
[1;33m • [0mb                                                                                                                                                                                                                                          
[1;33m • [0mc                                                                                                                                             | | [1mrougail.var6[0m [1;36;40mchoice[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                                                   
[1;33m   [0m| The sixth variable. [1mChoices[0m:                                                                                                                                                                                                             
[1;33m • [0m1 ← (default)                                                                                                                                                                                                                              
[1;33m • [0m2                                                                                                                                                                                                                                          
[1;33m • [0m3                                                                                                                                             |                                                                                            
