# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'

var1:
  description: the first variable
  test:
    - test

var2:
  description: the second variable
  test:
    - test
  default: value

var3:
  description: the third variable
  test:
    - test1
    - test2

var4:
  description: the forth variable
  test:
    - 
    - test1
    - test2
  mandatory: false

var5:
  description: the fifth variable
  type: boolean
  test:
    - false

var6:
  description: the sixth variable
  multi: true
  test:
    - test1
    - test2
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛








                                                                                                         
 [1m [0m[1mVariable                                         [0m[1m [0m [1m [0m[1mDescription                                      [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.var1[0m                                                                                           
  [1;36;40mstring[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m                              The first variable.                                
  [1mExample[0m: test                                                                                          
  [1mrougail.var2[0m                                                                                           
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                           The second variable.                               
  [1mDefault[0m: value                                                                                         
  [1mExample[0m: test                                                                                          
  [1mrougail.var3[0m                                                                                           
  [1;36;40mstring[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m                              The third variable.                                
  [1mExamples[0m:                                                                                              
                                                                                                         

[1;33m • [0mtest1                                                                                                                                                                                                                                      
[1;33m • [0mtest2                                                                                                                                                                                                                                      
[1;33m   [0m| | [1mrougail.var4[0m [1;36;40mstring[0m [1;36;40mstandard[0m                                                                                                                                                                                                           
[1;33m   [0m| The forth variable. [1mExamples[0m:                                                                                                                                                                                                            
[1;33m • [0mnull                                                                                                                                                                                                                                       
[1;33m • [0mtest1                                                                                                                                                                                                                                      
[1;33m • [0mtest2                                                                                                                                                                                                                                      
[1;33m   [0m| | [1mrougail.var5[0m [1;36;40mboolean[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                                                                                                                                                                                                
[1;33m   [0m| The fifth variable. [1mDefault[0m: true [1mExample[0m: false                                                                                                                                                                                         
[1;33m   [0m| | [1mrougail.var6[0m [1;36;40mstring[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m                                                                                                                                                                                    
[1;33m   [0m| The sixth variable. [1mExamples[0m:                                                                                                                                                                                                            
[1;33m • [0mtest1                                                                                                                                                                                                                                      
[1;33m • [0mtest2                                                                                                                                                                                                                                      
[1;33m   [0m|                                                                                                                                                                                                                                          
