# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var1: []  # the first variable
var2:
  description: the second variable
  default: []
var3:
  description: the third variable
  type: string
var4:  # the forth variable
  - value
var5:
  description: the fifth variable
  default:
    - value
var6:
  description: the sixth variable
  type: string
  default:
    - value

var7:
  description: the seventh variable
  multi: true
  default:
    - value
var8:
  description: the eighth variable
  type: string
  multi: true
  default:
    - value
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛














                                                                                                               
 [1m [0m[1mVariable                                            [0m[1m [0m [1m [0m[1mDescription                                         [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.var1[0m                                                                                                 
  [1;36;40mstring[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m                 The first variable.                                   
  [1mrougail.var2[0m                                                                                                 
  [1;36;40mstring[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m                 The second variable.                                  
  [1mrougail.var3[0m                                                                                                 
  [1;36;40mstring[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m                                 The third variable.                                   
  [1mrougail.var4[0m                                                                                                 
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m              The forth variable.                                   
  [1mDefault[0m: value                                                                                               
  [1mrougail.var5[0m                                                                                                 
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m              The fifth variable.                                   
  [1mDefault[0m: value                                                                                               
  [1mrougail.var6[0m                                                                                                 
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m              The sixth variable.                                   
  [1mDefault[0m: value                                                                                               
  [1mrougail.var7[0m                                                                                                 
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m              The seventh variable.                                 
  [1mDefault[0m: value                                                                                               
  [1mrougail.var8[0m                                                                                                 
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m              The eighth variable.                                  
  [1mDefault[0m: value                                                                                               
                                                                                                               
