# dictionaries/rougail/00-base.yml

```yaml
---
version: 1.1

var1:
  description: a first variable
  default: value

var2:
  description: a second variable
  disabled:
    variable: _.var1
    when: value

var3:
  description: a third variable
  default:
    jinja: |
      {% if _.var2 is propertyerror %}
      value
      {% endif %}
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛







                                                                                                                                                   
 [1m [0m[1mVariable                                                              [0m[1m [0m [1m [0m[1mDescription                                                           [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.var1[0m                                                                                                                                     
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                                                A first variable.                                                       
  [1mDefault[0m: value                                                                                                                                   
  [1mrougail.var2[0m                                                                                                                                     
  [1;36;40mstring[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m [1;3;36;40mdisabled[0m                                          A second variable.                                                      
  [1mDisabled[0m: when the variable "rougail.var1" has the value "value".                                                                                
  [1mrougail.var3[0m                                                                                                                                     
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                                                A third variable.                                                       
  [1mDefault[0m: depends on a calculation.                                                                                                               
                                                                                                                                                   
