# dictionaries/rougail/01-base.yml

```yaml
---
version: '1.1'
var3:
  redefine: true
  validators:
    - jinja: |
        {% if _.var3 == _.var2 %}
        var3 must be different than var2
        {% endif %}
      description: var3 must be different than var2
```
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var1: no    # a first variable
var2: no    # a second variable
var3:
  description: a third variable
  default: yes
  test:
    - yes
  validators:
    - jinja: |
        {% if _.var3 == _.var1 %}
        var3 must be different than var1
        {% endif %}
      description: var3 must be different than var1
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛









                                                                                                         
 [1m [0m[1mVariable                                         [0m[1m [0m [1m [0m[1mDescription                                      [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.var1[0m                                                                                           
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                           A first variable.                                  
  [1mDefault[0m: no                                                                                            
  [1mrougail.var2[0m                                                                                           
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                           A second variable.                                 
  [1mDefault[0m: no                                                                                            
  [1mrougail.var3[0m                                                                                           
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                           A third variable.                                  
  [1mValidator[0m: var3 must be different than var2.                                                           
  [1mDefault[0m: yes                                                                                           
  [1mExample[0m: yes                                                                                           
                                                                                                         
