# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
condition1: false  # a first conditional variable
condition2: false  # a second conditional variable
family:
  description: a family
  hidden:
    jinja: |
      {% if not rougail.condition1 %}
      condition1 is false
      {% endif %}
    description: if condition1 is false
  variable:
    description: a variable
    hidden:
      jinja: |
        {% if rougail.condition2 %}
        condition2 is true
        {% endif %}
      description: if condition2 is false
    mandatory: false
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛





                                                                         
 [1m [0m[1mVariable                         [0m[1m [0m [1m [0m[1mDescription                      [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.condition1[0m                                                     
  [1;36;40mboolean[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m          A first conditional variable.      
  [1mDefault[0m: false                                                         
  [1mrougail.condition2[0m                                                     
  [1;36;40mboolean[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m          A second conditional variable.     
  [1mDefault[0m: false                                                         
                                                                         


                                                                                                                   [1;4ma family[0m                                                                                                                   

[1;36;40mstandard[0m [1;3;36;40mhidden[0m                                                                                                                                                                                                                               

[1mHidden[0m: if condition1 is false.                                                                                                                                                                                                               



                                                                               
 [1m [0m[1mVariable                            [0m[1m [0m [1m [0m[1mDescription                         [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.family.variable[0m                                                      
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;3;36;40mhidden[0m                 A variable.                           
  [1mHidden[0m: if condition2 is false.                                              
                                                                               
