# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
bool: false  # a boolean variable
int1:
  description: first integer variable
  type: number
  default:
    jinja: |
      {% if rougail.bool %}1{% else %}2{% endif %}
    description: if bool returns 1 otherwise return 2
int2:
  description: second integer variable
  type: number
  default:
    jinja: |
      {% if not rougail.bool %}3{% else %}4{% endif %}
    description: if bool returns 3 otherwise return 4
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛







                                                                                                             
 [1m [0m[1mVariable                                           [0m[1m [0m [1m [0m[1mDescription                                        [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.bool[0m                                                                                               
  [1;36;40mboolean[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                            A boolean variable.                                  
  [1mDefault[0m: false                                                                                             
  [1mrougail.int1[0m                                                                                               
  [1;36;40mnumber[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                             First integer variable.                              
  [1mDefault[0m: if bool returns 1 otherwise return 2.                                                             
  [1mrougail.int2[0m                                                                                               
  [1;36;40mnumber[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                             Second integer variable.                             
  [1mDefault[0m: if bool returns 3 otherwise return 4.                                                             
                                                                                                             
