# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
condition: no    # a condition
leader:
  description: a leadership
  type: leadership
  leader:
    description: a leader
    multi: true
    hidden:
      jinja: |
        {% if __.condition == "no" %}
        condition is no
        {% endif %}
      description: if condition is no
    mandatory: false
  follower:  # a follower
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛



                                                                       
 [1m [0m[1mVariable                        [0m[1m [0m [1m [0m[1mDescription                     [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.condition[0m                                                    
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m          A condition.                      
  [1mDefault[0m: no                                                          
                                                                       


                                                                                                                 [1;4ma leadership[0m                                                                                                                 

[1;36;40mbasic[0m [1;3;36;40mhidden[0m                                                                                                                                                                                                                                  

[1mHidden[0m: if condition is no.                                                                                                                                                                                                                   

This family contains lists of variable blocks.                                                                                                                                                                                                



                                                                                       
 [1m [0m[1mVariable                                [0m[1m [0m [1m [0m[1mDescription                             [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.leader.leader[0m                                                                
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40munique[0m [1;36;40mmultiple[0m            A leader.                                 
  [1mrougail.leader.follower[0m                                                              
  [1;36;40mstring[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m                     A follower.                               
                                                                                       
