# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'

var:  # A suffix variable
  - val1
  - val2

var2:  # a second variable

dyn{{ identifier }}:
  description: A dynamic family
  dynamic:
    variable: _.var
  hidden:
    jinja: |
      {% if _.var2 == "no" %}
      var2 is no
      {% endif %}
    description: if var2 is no

  vardyn: val  # a dynamic variable
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛



                                                                                                               
 [1m [0m[1mVariable                                            [0m[1m [0m [1m [0m[1mDescription                                         [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.var[0m                                                                                                  
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m              A suffix variable.                                    
  [1mDefault[0m:                                                                                                     
                                                                                                               

[1;33m • [0mval1                                                                                                                                                                                                                                       
[1;33m • [0mval2                                                                                                                                                                                                                                       
[1;33m   [0m| | [1mrougail.var2[0m [1;36;40mstring[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m                                                                                                                                                                                                    
[1;33m   [0m| A second variable.                                                                                                                                                                                                                       
[1;33m   [0m|                                                                                                                                                                                                                                          


                                                                                                               [1;4mA dynamic family[0m                                                                                                               

[1;36;40mstandard[0m [1;3;36;40mhidden[0m                                                                                                                                                                                                                               

[1mHidden[0m: if var2 is no.                                                                                                                                                                                                                        

This family builds families dynamically.                                                                                                                                                                                                      

[1mIdentifiers[0m: the value of the variable "rougail.var".                                                                                                                                                                                         




                                                                                                               
 [1m [0m[1mVariable                                            [0m[1m [0m [1m [0m[1mDescription                                         [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.dyn[0m[1;3mval1[0m[1m.vardyn[0m                                                                                       
  [1mrougail.dyn[0m[1;3mval2[0m[1m.vardyn[0m                                                                                       
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                              A dynamic variable.                                   
  [1mDefault[0m: val                                                                                                 
                                                                                                               
