# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
dyn{{ identifier }}:
  dynamic:
    - val1
    - val2
  var:
    description: A dynamic variable
    disabled:
      type: identifier
      when: val1
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛


                                                                                                      [1;4mrougail.dyn[0m[1;3;4mval1[0m[1;4m or rougail.dyn[0m[1;3;4mval2[0m                                                                                                      

[1;36;40mbasic[0m                                                                                                                                                                                                                                         

This family builds families dynamically.                                                                                                                                                                                                      

[1mIdentifiers[0m:                                                                                                                                                                                                                                  

[1;33m • [0mval1                                                                                                                                                                                                                                       
[1;33m • [0mval2                                                                                                                                                                                                                                       




                                                                                                 
 [1m [0m[1mVariable                                     [0m[1m [0m [1m [0m[1mDescription                                  [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.dyn[0m[1;3mval1[0m[1m.var[0m                                                                            
  [1mrougail.dyn[0m[1;3mval2[0m[1m.var[0m                                                                            
  [1;36;40mstring[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m [1;3;36;40mdisabled[0m                 A dynamic variable.                            
  [1mDisabled[0m: when the identifier is "val1".                                                       
                                                                                                 
