# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var: val2  # a suffix variable
dyn{{ identifier }}:
  description: a dynamic family
  dynamic:
    - val1
    - variable: _.var
  vardyn:  # a dynamic variable
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛



                                                                       
 [1m [0m[1mVariable                        [0m[1m [0m [1m [0m[1mDescription                     [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.var[0m                                                          
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m          A suffix variable.                
  [1mDefault[0m: val2                                                        
                                                                       


                                                                                                               [1;4ma dynamic family[0m                                                                                                               

[1;36;40mbasic[0m                                                                                                                                                                                                                                         

This family builds families dynamically.                                                                                                                                                                                                      

[1mIdentifiers[0m:                                                                                                                                                                                                                                  

[1;33m • [0mval1                                                                                                                                                                                                                                       
[1;33m • [0mthe value of the variable "rougail.var".                                                                                                                                                                                                   



                                                                       
 [1m [0m[1mVariable                        [0m[1m [0m [1m [0m[1mDescription                     [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.dyn[0m[1;3mval1[0m[1m.vardyn[0m                                               
  [1mrougail.dyn[0m[1;3mval2[0m[1m.vardyn[0m                                               
  [1;36;40mstring[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m             A dynamic variable.               
                                                                       
