---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var1:  # a first variable
var2:
  description: a second variable
  default:
    jinja: |
      {{ information }}
    params:
      information:
        type: information
        information: test_information
        variable: _.var1
```
# Example with mandatory variables not filled in

```yaml
---
rougail:
  var1: example
```
# Example with all variables modifiable

```yaml
---
rougail:
  var1: example
  var2: example
```
