---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: 1.1
var1:
  description: a second variable
  multi: true
  default:
    - no
    - yes
  validators:
    - jinja: |
        {% if _.var1 | length > 9 %}
        length must be less than 10
        {% endif %}
      description: check length is less than 10
```
# Example with all variables modifiable

```yaml
---
rougail:
  var1:
    - no
    - yes
```
