---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
condition: no    # the variable use has condition
family:
  description: possibly hidden family
  hidden:
    jinja: |
      {% if rougail.condition == "yes" %}
      condition is yes
      {% endif %}
    description: if condition is yes
  var1:  # a variable
```
# Example with mandatory variables not filled in

```yaml
---
rougail:
  family:
    var1: example
```
# Example with all variables modifiable

```yaml
---
rougail:
  condition: no
  family:
    var1: example
```
