---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
condition: no    # the variable use has condition
family:
  description: possibly hidden family
  hidden:
    jinja: |
      {% if condition == "yes" %}
      condition is yes
      {% endif %}
    params:
      condition:
        variable: _.condition
    description: if condition is yes
  sub_family:  # a subfamily
    var1:  # a variable
```
# Example with mandatory variables not filled in

```yaml
---
rougail:
  family:
    sub_family:
      var1: example
```
# Example with all variables modifiable

```yaml
---
rougail:
  condition: no
  family:
    sub_family:
      var1: example
```
