---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'

leader:
  description: a leadership
  type: leadership

  leader:
    description: a leader
    multi: true
    default:
      jinja: |
        val1
        val2
      description: returns val1 and val2

  follower1:  # a first follower

  follower2:  # a second follower
```
# Example with all variables modifiable

```yaml
---
rougail:
  leader:
    - leader: val1
      follower1: example
      follower2: example
    - leader: val2
      follower1: example
      follower2: example
```
