---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var:  # a suffix variable
  - 1
  - 2
dyn{{ identifier }}:
  description: a dynamic family
  dynamic:
    variable: _.var
  var: val  # a variable inside dynamic family
var2:
  description: a variable
  default:
    jinja: |
      {{ rougail.dyn1.var }}
    description: get the value of rougail.dyn1.var
```
# Example with all variables modifiable

```yaml
---
rougail:
  var:
    - 1
    - 2
  dyn1:
    var: val
  dyn2:
    var: val
  var2: val
```
