---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'

var:
  description: A suffix variable
  multi: true
  test:
    - val1
    - val2

dyn{{ identifier }}:
  description: A dynamic family
  dynamic:
    variable: _.var

  var:  # A dynamic variable
```
# Example with mandatory variables not filled in

```yaml
---
rougail:
  var:
    - val1
    - val2
  dynval1:
    var: example
  dynval2:
    var: example
```
# Example with all variables modifiable

```yaml
---
rougail:
  var:
    - val1
    - val2
  dynval1:
    var: example
  dynval2:
    var: example
```
