---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var1:  # a suffx variable
  - val1
  - val2
dyn{{ identifier }}:
  description: a dynamic family
  dynamic:
    variable: _.var1
  var: val  # a dynamic variable
newvar:
  description: a second variable
  default:
    jinja: |
      {{ _.dynval1.var }}
    description: the value of var
```
# Example with all variables modifiable

```yaml
---
rougail:
  var1:
    - val1
    - val2
  dynval1:
    var: val
  dynval2:
    var: val
  newvar: val
```
