---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'

var:  # A suffix variable
  - val1
  - val2

var2:  # a second variable

dyn{{ identifier }}:
  description: A dynamic family
  dynamic:
    variable: _.var
  hidden:
    jinja: |
      {% if _.var2 == "no" %}
      var2 is no
      {% endif %}
    description: if var2 is no

  vardyn: val  # a dynamic variable
```
# Example with mandatory variables not filled in

```yaml
---
rougail:
  var2: example
```
# Example with all variables modifiable

```yaml
---
rougail:
  var:
    - val1
    - val2
  var2: example
  dynval1:
    vardyn: val
  dynval2:
    vardyn: val
```
