# dictionaries/rougail/00-base.yml

```yaml
---
version: 1.1
var1:
  description: a second variable
  multi: true
  default:
    - no
    - yes
  test:
    - val1
    - val2
  validators:
    - params:
        values:
          variable: _.var1
          whole: true
      jinja: |
        {% if values | length > 2 %}
        length must be less than 3
        {% endif %}
      description: check length is less than 3
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                                 [1mVariables[0m                                                                                                                  ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛




                                                                                                               
 [1m [0m[1mVariable                                            [0m[1m [0m [1m [0m[1mDescription                                         [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mvar1[0m                                                                                                         
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m              A second variable.                                    
  [1mValidator[0m: check length is less than 3.                                                                      
  [1mDefault[0m:                                                                                                     
                                                                                                               

[1;33m • [0mno                                                                                                                                                                                                                                         
[1;33m • [0myes [1mExamples[0m:                                                                                                                                                                                                                              
[1;33m • [0mval1                                                                                                                                                                                                                                       
[1;33m • [0mval2                                                                                                                                                                                                                                       
[1;33m   [0m|                                                                                                                                                                                                                                          
