# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
variable: value  # a variable
```
# dictionaries/extra/00-base.yml

```yaml
---
version: '1.1'
variable1:
  description: a first variable
  default:
    variable: rougail.variable
variable2:
  description: a second variable
  default:
    jinja: |
      {{ rougail.variable }}
    description: copy the value of rougail.variable
variable3:
  description: a third variable
  default:
    jinja: |
      {{ variable }}
    params:
      variable:
        variable: rougail.variable
    description: copy the value of rougail.variable
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛



                                                                       
 [1m [0m[1mVariable                        [0m[1m [0m [1m [0m[1mDescription                     [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.variable[0m                                                     
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m          A variable.                       
  [1mDefault[0m: value                                                       
                                                                       

┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                           [1mVariables for "extra"[0m                                                                                                            ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛







                                                                                                                             
 [1m [0m[1mVariable                                                   [0m[1m [0m [1m [0m[1mDescription                                                [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mextra.variable1[0m                                                                                                            
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                                     A first variable.                                            
  [1mDefault[0m: the value of the variable "rougail.variable".                                                                     
  [1mextra.variable2[0m                                                                                                            
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                                     A second variable.                                           
  [1mDefault[0m: copy the value of rougail.variable.                                                                               
  [1mextra.variable3[0m                                                                                                            
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                                     A third variable.                                            
  [1mDefault[0m: copy the value of rougail.variable.                                                                               
                                                                                                                             
