# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
condition: no    # a condition
var1:
  description: a first variable
  hidden:
    jinja: |
      {% if unknown is not defined %}
      unknown is undefined
      {% elif unknown == "no" %}
      unknown is no
      {% endif %}
    params:
      unknown:
        variable: _.unknown
        optional: true
    description: calculation from an unknown variable
  mandatory: false
var2:
  description: a second variable
  hidden:
    jinja: |
      {% if condition is not defined %}
      condition is undefined
      {% elif condition == "no" %}
      condition is no
      {% endif %}
    params:
      condition:
        variable: _.condition
        optional: true
    description: calculation from an condition variable
  mandatory: false
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛







                                                                                                               
 [1m [0m[1mVariable                                            [0m[1m [0m [1m [0m[1mDescription                                         [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.condition[0m                                                                                            
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                              A condition.                                          
  [1mDefault[0m: no                                                                                                  
  [1mrougail.var1[0m                                                                                                 
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;3;36;40mhidden[0m                                 A first variable.                                     
  [1mHidden[0m: calculation from an unknown variable.                                                                
  [1mrougail.var2[0m                                                                                                 
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;3;36;40mhidden[0m                                 A second variable.                                    
  [1mHidden[0m: calculation from an condition variable.                                                              
                                                                                                               
