# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
condition: no    # a condition
var1:
  description: a first variable
  hidden:
    jinja: |
      {% if _.condition != "yes" %}
      condition is yes
      {% endif %}
    description: if condition is yes
  default:
    jinja: |
      {{ _.condition }}
    description: the value of condition
var2:
  description: a second variable
  hidden:
    jinja: |
      {% if rougail.condition != "yes" %}
      condition is yes
      {% endif %}
    description: if condition is yes
  default:
    jinja: |
      {{ rougail.condition }}
    description: the value of condition
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛









                                                                                             
 [1m [0m[1mVariable                                   [0m[1m [0m [1m [0m[1mDescription                                [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.condition[0m                                                                          
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                     A condition.                                 
  [1mDefault[0m: no                                                                                
  [1mrougail.var1[0m                                                                               
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;3;36;40mhidden[0m              A first variable.                            
  [1mDefault[0m: the value of condition.                                                           
  [1mHidden[0m: if condition is yes.                                                               
  [1mrougail.var2[0m                                                                               
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;3;36;40mhidden[0m              A second variable.                           
  [1mDefault[0m: the value of condition.                                                           
  [1mHidden[0m: if condition is yes.                                                               
                                                                                             
