# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
condition: no    # the variable use has condition
family:
  description: possibly hidden family
  hidden:
    jinja: |
      {% if condition == "yes" %}
      condition is yes
      {% endif %}
    params:
      condition:
        variable: _.condition
    description: if condition is yes
  sub_family:  # a subfamily
    var1:  # a variable
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛



                                                                       
 [1m [0m[1mVariable                        [0m[1m [0m [1m [0m[1mDescription                     [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.condition[0m                                                    
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m          The variable use has condition.   
  [1mDefault[0m: no                                                          
                                                                       


                                                                                                            [1;4mpossibly hidden family[0m                                                                                                            

[1;36;40mbasic[0m [1;3;36;40mhidden[0m                                                                                                                                                                                                                                  

[1mHidden[0m: if condition is yes.                                                                                                                                                                                                                  

                                                                                                                 [1ma subfamily[0m                                                                                                                  

[1;36;40mbasic[0m                                                                                                                                                                                                                                         


                                                                             
 [1m [0m[1mVariable                           [0m[1m [0m [1m [0m[1mDescription                        [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.family.sub_family.var1[0m                                             
  [1;36;40mstring[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m                A variable.                          
                                                                             
