# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
bool: false  # a boolean variable
multi1:
  description: a first multi variable
  type: boolean
  multi: true
  default:
    jinja: |
      {% if _.bool %}
      True
      False
      {% else %}
      False
      {% endif %}
    description: a calculation
multi2:
  description: a second multi variable
  type: boolean
  multi: true
  default:
    jinja: |
      {% if not _.bool %}
      True
      False
      {% else %}
      False
      {% endif %}
    description: a calculation
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛







                                                                                                                 
 [1m [0m[1mVariable                                             [0m[1m [0m [1m [0m[1mDescription                                          [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.bool[0m                                                                                                   
  [1;36;40mboolean[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                              A boolean variable.                                    
  [1mDefault[0m: false                                                                                                 
  [1mrougail.multi1[0m                                                                                                 
  [1;36;40mboolean[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m              A first multi variable.                                
  [1mDefault[0m: a calculation.                                                                                        
  [1mrougail.multi2[0m                                                                                                 
  [1;36;40mboolean[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m              A second multi variable.                               
  [1mDefault[0m: a calculation.                                                                                        
                                                                                                                 
