# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
condition: true  # a condition
leader:
  description: a leadership
  type: leadership
  leader:
    description: aleader
    default:
      - a
  follower:
    description: a follower
    disabled:
      jinja: |
        {% if rougail.condition == "yes" %}
        condition is yes
        {% endif %}
      description: if condition is yes
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛



                                                                         
 [1m [0m[1mVariable                         [0m[1m [0m [1m [0m[1mDescription                      [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.condition[0m                                                      
  [1;36;40mboolean[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m          A condition.                       
  [1mDefault[0m: true                                                          
                                                                         


                                                                                                                 [1;4ma leadership[0m                                                                                                                 

[1;36;40mbasic[0m                                                                                                                                                                                                                                         

This family contains lists of variable blocks.                                                                                                                                                                                                





                                                                                                               
 [1m [0m[1mVariable                                            [0m[1m [0m [1m [0m[1mDescription                                         [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.leader.leader[0m                                                                                        
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m              Aleader.                                              
  [1mDefault[0m: a                                                                                                   
  [1mrougail.leader.follower[0m                                                                                      
  [1;36;40mstring[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m [1;3;36;40mdisabled[0m                        A follower.                                           
  [1mDisabled[0m: if condition is yes.                                                                               
                                                                                                               
