# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
condition: yes    # a condition
leader:
  description: a leadership
  type: leadership
  leader:
    description: a leader
    multi: true
  follower:
    description: a follower
    disabled:
      jinja: |
        {% if __.condition == "yes" %}
        disabled
        {% endif %}
      description: if condition is yes
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛



                                                                       
 [1m [0m[1mVariable                        [0m[1m [0m [1m [0m[1mDescription                     [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.condition[0m                                                    
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m          A condition.                      
  [1mDefault[0m: yes                                                         
                                                                       


                                                                                                                 [1;4ma leadership[0m                                                                                                                 

[1;36;40mbasic[0m                                                                                                                                                                                                                                         

This family contains lists of variable blocks.                                                                                                                                                                                                




                                                                                                         
 [1m [0m[1mVariable                                         [0m[1m [0m [1m [0m[1mDescription                                      [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.leader.leader[0m                                                                                  
  [1;36;40mstring[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m              A leader.                                          
  [1mrougail.leader.follower[0m                                                                                
  [1;36;40mstring[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m [1;3;36;40mdisabled[0m                     A follower.                                        
  [1mDisabled[0m: if condition is yes.                                                                         
                                                                                                         
