# dictionaries/rougail/00-base.yml

```yaml
---
version: 1.1
leader:
  description: leader
  type: leadership
  leader:  # a leader
    - a
    - b
  follower:
    description: a follower
    disabled:
      jinja: |
        {% if _.leader == "a" %}
        the value of "leader" is "a"
        {% endif %}
      description: if the value of "leader" is "a"
    default:
      variable: _.leader
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛


                                                                                                                [1;4mrougail.leader[0m                                                                                                                

[1;36;40mstandard[0m                                                                                                                                                                                                                                      

This family contains lists of variable blocks.                                                                                                                                                                                                



                                                                                                                                       
 [1m [0m[1mVariable                                                        [0m[1m [0m [1m [0m[1mDescription                                                     [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.leader.leader[0m                                                                                                                
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m                          A leader.                                                         
  [1mDefault[0m:                                                                                                                             
                                                                                                                                       

[1;33m • [0ma                                                                                                                                                                                                                                          
[1;33m • [0mb                                                                                                                                                                                                                                          
[1;33m   [0m| | [1mrougail.leader.follower[0m [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;3;36;40mdisabled[0m                                                                                                                                                                             
[1;33m   [0m| A follower. [1mDefault[0m: the value of the variable "rougail.leader.leader". [1mDisabled[0m: if the value of "leader" is "a".                                                                                                                       
[1;33m   [0m|                                                                                                                                                                                                                                          
