# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.0'
var:
  description: A suffix variable
  multi: true
  default:
    - val1
    - val2
dyn:
  type: dynamic
  variable: rougail.var
  vardyn:
    description: Dynamic variable
    mandatory: false
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛



                                                                                                               
 [1m [0m[1mVariable                                            [0m[1m [0m [1m [0m[1mDescription                                         [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.var[0m                                                                                                  
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m              A suffix variable.                                    
  [1mDefault[0m:                                                                                                     
                                                                                                               

[1;33m • [0mval1                                                                                                                                                                                                                                       
[1;33m • [0mval2                                                                                                                                                                                                                                       
[1;33m   [0m|                                                                                                                                                                                                                                          


                                                                                                      [1;4mrougail.dyn[0m[1;3;4mval1[0m[1;4m or rougail.dyn[0m[1;3;4mval2[0m                                                                                                      

[1;36;40mstandard[0m                                                                                                                                                                                                                                      

This family builds families dynamically.                                                                                                                                                                                                      

[1mIdentifiers[0m: the value of the variable "rougail.var".                                                                                                                                                                                         



                                                                                                               
 [1m [0m[1mVariable                                            [0m[1m [0m [1m [0m[1mDescription                                         [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.dyn[0m[1;3mval1[0m[1m.vardyn[0m                                                                                       
  [1mrougail.dyn[0m[1;3mval2[0m[1m.vardyn[0m                                                                                       
  [1;36;40mstring[0m [1;36;40mstandard[0m                                        Dynamic variable.                                     
                                                                                                               
