# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'

var2:
  description: a variable
  multi: true
  default:
    variable: rougail.my_dyn_family_{{ identifier }}.var

var:  # a suffix variable
  - val1
  - val2

my_dyn_family_{{ identifier }}:
  description: a dynamic family
  dynamic:
    variable: _.var

  var:
    description: a variable inside a dynamic family
    default:
      type: identifier
    mandatory: false
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛



                                                                                                                                     
 [1m [0m[1mVariable                                                       [0m[1m [0m [1m [0m[1mDescription                                                    [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.var2[0m                                                                                                                       
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m                         A variable.                                                      
  [1mDefault[0m:                                                                                                                           
                                                                                                                                     

[1;33m • [0mthe value of the variable "rougail.my_dyn_family_[3mval1[0m.var"                                                                                                                                                                                 
[1;33m • [0mthe value of the variable "rougail.my_dyn_family_[3mval2[0m.var"                                                                                                                                                                                 
[1;33m   [0m| | [1mrougail.var[0m [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m                                                                                                                                                                                  
[1;33m   [0m| A suffix variable. [1mDefault[0m:                                                                                                                                                                                                              
[1;33m • [0mval1                                                                                                                                                                                                                                       
[1;33m • [0mval2                                                                                                                                                                                                                                       
[1;33m   [0m|                                                                                                                                                                                                                                          


                                                                                                               [1;4ma dynamic family[0m                                                                                                               

[1;36;40mstandard[0m                                                                                                                                                                                                                                      

This family builds families dynamically.                                                                                                                                                                                                      

[1mIdentifiers[0m: the value of the variable "rougail.var".                                                                                                                                                                                         




                                                                                                                                     
 [1m [0m[1mVariable                                                       [0m[1m [0m [1m [0m[1mDescription                                                    [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.my_dyn_family_[0m[1;3mval1[0m[1m.var[0m                                                                                                     
  [1mrougail.my_dyn_family_[0m[1;3mval2[0m[1m.var[0m                                                                                                     
  [1;36;40mstring[0m [1;36;40mstandard[0m                                                   A variable inside a dynamic family.                              
  [1mDefault[0m: the value of the identifier.                                                                                              
                                                                                                                                     
