---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: 1.1

var1:
  description: a first variable
  multi: true
  type: domainname
  params:
    allow_ip: true

var2:
  description: a second variable
  default:
    type: variable
    variable: _.var1
```
# Example with mandatory variables not filled in

```yaml
---
rougail:
  var1:
    - example.net
```
# Example with all variables modifiable

```yaml
---
rougail:
  var1:
    - example.net
  var2:
    - example.net
```
