---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var1:
  description: the first variable
  choices:
    - a
    - b
    - c
var2:
  description: the second variable
  choices:
    - a
    - b
    - c
var3:
  description: the third variable
  choices:
    - a
    - b
    - c
  mandatory: false
var4:
  description: the forth variable
  choices:
    - 
    - b
    - c
  mandatory: false
var5:
  description: the fifth variable
  choices:
    - a
    - b
    - c
  default: a
var6:
  description: the sixth variable
  choices:
    - 1
    - 2
    - 3
  default: 1
```
# Example with mandatory variables not filled in

```yaml
---
rougail:
  var1: a_choice
  var2: a_choice
```
# Example with all variables modifiable

```yaml
---
rougail:
  var1: a_choice
  var2: a_choice
  var3: a_choice
  var4: a_choice
  var5: a
  var6: 1
```
