---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
variable1:
  description: a port variable
  type: port
variable2:
  description: a port variable with default value
  type: port
  default: '8080'
variable3:
  description: a port variable with integer default value
  type: port
  default: 8080
```
# Example with mandatory variables not filled in

```yaml
---
rougail:
  variable1: '111'
```
# Example with all variables modifiable

```yaml
---
rougail:
  variable1: '111'
  variable2: '8080'
  variable3: '8080'
```
