---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'

var1:
  description: the first variable
  test:
    - test

var2:
  description: the second variable
  test:
    - test
  default: value

var3:
  description: the third variable
  test:
    - test1
    - test2

var4:
  description: the forth variable
  test:
    - 
    - test1
    - test2
  mandatory: false

var5:
  description: the fifth variable
  type: boolean
  test:
    - false

var6:
  description: the sixth variable
  multi: true
  test:
    - test1
    - test2
```
# Example with mandatory variables not filled in

```yaml
---
rougail:
  var1: test
  var3: test1
  var6:
    - test1
    - test2
```
# Example with all variables modifiable

```yaml
---
rougail:
  var1: test
  var2: test
  var3: test1
  var4:
  var5: false
  var6:
    - test1
    - test2
```
