---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var1: []  # the first variable
var2:
  description: the second variable
  default: []
var3:
  description: the third variable
  type: string
var4:  # the forth variable
  - value
var5:
  description: the fifth variable
  default:
    - value
var6:
  description: the sixth variable
  type: string
  default:
    - value

var7:
  description: the seventh variable
  multi: true
  default:
    - value
var8:
  description: the eighth variable
  type: string
  multi: true
  default:
    - value
```
# Example with mandatory variables not filled in

```yaml
---
rougail:
  var1:
    - example
  var2:
    - example
  var3: example
```
# Example with all variables modifiable

```yaml
---
rougail:
  var1:
    - example
  var2:
    - example
  var3: example
  var4:
    - value
  var5:
    - value
  var6:
    - value
  var7:
    - value
  var8:
    - value
```
