---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
condition: no    # a condition
var1:
  description: a first variable
  hidden:
    jinja: |
      {% if unknown is not defined %}
      unknown is undefined
      {% elif unknown == "no" %}
      unknown is no
      {% endif %}
    params:
      unknown:
        variable: _.unknown
        optional: true
    description: calculation from an unknown variable
  mandatory: false
var2:
  description: a second variable
  hidden:
    jinja: |
      {% if condition is not defined %}
      condition is undefined
      {% elif condition == "no" %}
      condition is no
      {% endif %}
    params:
      condition:
        variable: _.condition
        optional: true
    description: calculation from an condition variable
  mandatory: false
```
# Example with all variables modifiable

```yaml
---
rougail:
  condition: no
  var1: example
  var2: example
```
