---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
condition: no    # a condition
var1:
  description: a first variable
  hidden:
    jinja: |
      {% if _.condition != "yes" %}
      condition is yes
      {% endif %}
    description: if condition is yes
  default:
    jinja: |
      {{ _.condition }}
    description: the value of condition
var2:
  description: a second variable
  hidden:
    jinja: |
      {% if rougail.condition != "yes" %}
      condition is yes
      {% endif %}
    description: if condition is yes
  default:
    jinja: |
      {{ rougail.condition }}
    description: the value of condition
```
# Example with all variables modifiable

```yaml
---
rougail:
  condition: no
  var1: no
  var2: no
```
