---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
int:
  description: A number
  type: number
  validators:
    - jinja: |
        {% if _.int > 100 %}
        value is too high
        {% endif %}
      description: the max value is 100
```
# Example with mandatory variables not filled in

```yaml
---
rougail:
  int: 42
```
# Example with all variables modifiable

```yaml
---
rougail:
  int: 42
```
