---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var1:
  description: a first variable
  test:
    - another_value
  type: string
  default: oui
  validators:
    - jinja: |
        {% if _.var1 == _.var2 %}
        var1 must be different than var2
        {% endif %}
      description: var1 must be different than var2
var2: no    # A second variable
```
# Example with all variables modifiable

```yaml
---
rougail:
  var1: another_value
  var2: no
```
