---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: 1.1
var1:
  description: a second variable
  multi: true
  default:
    - no
    - yes
  test:
    - val1
    - val2
  validators:
    - params:
        values:
          variable: _.var1
          whole: true
      jinja: |
        {% if values | length > 2 %}
        length must be less than 3
        {% endif %}
      description: check length is less than 3
```
# Example with all variables modifiable

```yaml
---
rougail:
  var1:
    - val1
    - val2
```
