---
gitea: none
include_toc: true
---
# dictionaries/rougail/01-base.yml

```yaml
---
version: '1.1'
var3:
  redefine: true
  validators:
    - jinja: |
        {% if _.var3 == _.var2 %}
        var3 must be different than var2
        {% endif %}
      description: var3 must be different than var2
```
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var1: no    # a first variable
var2: no    # a second variable
var3:
  description: a third variable
  default: yes
  test:
    - yes
  validators:
    - jinja: |
        {% if _.var3 == _.var1 %}
        var3 must be different than var1
        {% endif %}
      description: var3 must be different than var1
```
# Example with all variables modifiable

```yaml
---
rougail:
  var1: no
  var2: no
  var3: yes
```
