---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.0'
var:
  description: A suffix variable
  multi: true
  default:
    - val1
    - val2
dyn:
  _type: dynamic
  variable: rougail.var
  vardyn:
    description: A dyn variable
```
# Example with mandatory variables not filled in

```yaml
---
rougail:
  dynval1:
    vardyn: example
  dynval2:
    vardyn: example
```
# Example with all variables modifiable

```yaml
---
rougail:
  var:
    - val1
    - val2
  dynval1:
    vardyn: example
  dynval2:
    vardyn: example
```
