---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var:  # A suffix variable
  - val1
  - val2
dyn:
  type: dynamic
  description: A dynamic family
  variable: _.var
  vardyn:
    description: A dynamic variable
```
# Example with mandatory variables not filled in

```yaml
---
rougail:
  dynval1:
    vardyn: example
  dynval2:
    vardyn: example
```
# Example with all variables modifiable

```yaml
---
rougail:
  var:
    - val1
    - val2
  dynval1:
    vardyn: example
  dynval2:
    vardyn: example
```
