---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var:  # a identifier variable
  - val1
  - val2
dyn{{ identifier }}:
  description: a dynamic family
  dynamic:
    variable: _.var
  family:
    description: a family inside dynamic family
    var:
      description: a dynamic variable
      default:
        type: identifier
var2:
  description: a varible outside dynamic family
  default:
    jinja: |
      {{ _.dynval1.family.var }}
    description: the value of var
```
# Example with all variables modifiable

```yaml
---
rougail:
  var:
    - val1
    - val2
  dynval1:
    family:
      var: val1
  dynval2:
    family:
      var: val2
  var2: val1
```
