---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var1:
  description: A suffix variable
  default:
    - val1
    - val2
dyn{{ identifier }}:
  dynamic:
    variable: _.var1
    propertyerror: false
  var:
    description: A dynamic variable
var2:
  description: A variable calculated
  default:
    variable: _.dynval1.var
```
# Example with mandatory variables not filled in

```yaml
---
rougail:
  dynval1:
    var: example
  dynval2:
    var: example
```
# Example with all variables modifiable

```yaml
---
rougail:
  var1:
    - val1
    - val2
  dynval1:
    var: example
  dynval2:
    var: example
  var2: example
```
