---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'

var2:
  description: a variable
  multi: true
  default:
    variable: rougail.my_dyn_family_{{ identifier }}.var

var:  # a suffix variable
  - val1
  - val2

my_dyn_family_{{ identifier }}:
  description: a dynamic family
  dynamic:
    variable: _.var

  var:
    description: a variable inside a dynamic family
    default:
      type: identifier
    mandatory: false
```
# Example with all variables modifiable

```yaml
---
rougail:
  var2:
    - val1
    - val2
  var:
    - val1
    - val2
  my_dyn_family_val1:
    var: val1
  my_dyn_family_val2:
    var: val2
```
