---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var:  # a suffix variable
  - val1
  - val2
dyn_{{ identifier }}:
  description: a dynamic family
  dynamic:
    variable: _.var
  var:
    description: a variable inside dynamic family
    default:
      type: identifier
var2:
  description: a variable
  default:
    variable: _.dyn_val1.var
```
# Example with all variables modifiable

```yaml
---
rougail:
  var:
    - val1
    - val2
  dyn_val1:
    var: val1
  dyn_val2:
    var: val2
  var2: val1
```
