---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var:  # a suffix variable
  - val1
  - val2
dyn{{ identifier }}:
  description: a dynamic family
  dynamic:
    variable: _.var
  leadership:
    description: a leadership
    type: leadership
    leader:
      description: a leader
      multi: true
    follower1:
      description: a follower1
      mandatory: false
    follower2:
      description: a follower2
      mandatory: false
```
# Example with all variables modifiable

```yaml
---
rougail:
  var:
    - val1
    - val2
  dynval1:
    leadership:
      - leader: example
        follower1: example
        follower2: example
  dynval2:
    leadership:
      - leader: example
        follower1: example
        follower2: example
```
