---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var: val2  # a suffix variable
dyn{{ identifier }}:
  description: a dynamic family
  dynamic:
    - val1
    - variable: _.var
  vardyn:  # a dynamic variable
```
# Example with mandatory variables not filled in

```yaml
---
rougail:
  dynval1:
    vardyn: example
  dynval2:
    vardyn: example
```
# Example with all variables modifiable

```yaml
---
rougail:
  var: val2
  dynval1:
    vardyn: example
  dynval2:
    vardyn: example
```
