# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
general:  # a family
  int:
    description: a first number
    type: number
    test:
      - 5
    validators:
      - jinja: |
          {% if _.int == int2 %}
          int and int2 must be different
          {% endif %}
        params:
          int2:
            variable: _.int2
            optional: true
        description: int and int2 must be different
      - jinja: |
          {% if int3 is defined and _.int == int3 %}
          int and int3 must be different
          {% endif %}
        params:
          int3:
            variable: _.int3
            optional: true
        description: int and int3 must be different
  int2: 1  # a second number
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                                 [1mVariables[0m                                                                                                                  ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛


                                                                                                                   [1;4ma family[0m                                                                                                                   

[1;36;40mbasic[0m                                                                                                                                                                                                                                         



                                                                           
 [1m [0m[1mVariable                          [0m[1m [0m [1m [0m[1mDescription                       [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mgeneral.int[0m                                                              
  [1;36;40mnumber[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m               A first number.                     
  [1mValidators[0m:                                                              
                                                                           

[1;33m • [0mint and int2 must be different.                                                                                                                                                                                                            
[1;33m • [0mint and int3 must be different. [1mExample[0m: 5                                                                                                                                                         | | [1mgeneral.int2[0m [1;36;40mnumber[0m [1;36;40mstandard[0m        
[1;33m   [0m[1;36;40mmandatory[0m                                                                                                                                                                        | A second number. [1mDefault[0m: 1                             
[1;33m   [0m|                                                                                                                                                                                                                                          
