# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var1:
  description: A suffix variable
  default:
    - val1
    - val2
dyn{{ identifier }}:
  dynamic:
    variable: _.var1
    propertyerror: false
  var:
    description: A dynamic variable
var2:
  description: A variable calculated
  default:
    variable: _.dynval1.var
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                                 [1mVariables[0m                                                                                                                  ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛



                                                                                                               
 [1m [0m[1mVariable                                            [0m[1m [0m [1m [0m[1mDescription                                         [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mvar1[0m                                                                                                         
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m              A suffix variable.                                    
  [1mDefault[0m:                                                                                                     
                                                                                                               

[1;33m • [0mval1                                                                                                                                                                                                                                       
[1;33m • [0mval2                                                                                                                                                                                                                                       
[1;33m   [0m|                                                                                                                                                                                                                                          


                                                                                                              [1;4mdyn[0m[1;3;4mval1[0m[1;4m or dyn[0m[1;3;4mval2[0m                                                                                                              

[1;36;40mbasic[0m                                                                                                                                                                                                                                         

This family builds families dynamically.                                                                                                                                                                                                      

[1mIdentifiers[0m: the value of the variable "var1".                                                                                                                                                                                                



                                                                                                               
 [1m [0m[1mVariable                                            [0m[1m [0m [1m [0m[1mDescription                                         [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mdyn[0m[1;3mval1[0m[1m.var[0m                                                                                                  
  [1mdyn[0m[1;3mval2[0m[1m.var[0m                                                                                                  
  [1;36;40mstring[0m [1;36;40mbasic[0m [1;36;40mmandatory[0m                                 A dynamic variable.                                   
                                                                                                               



                                                                                                                   
 [1m [0m[1mVariable                                              [0m[1m [0m [1m [0m[1mDescription                                           [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mvar2[0m                                                                                                             
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                                A variable calculated.                                  
  [1mDefault[0m: the value of the variable "dynval1.var".                                                                
                                                                                                                   
